Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SpecFuncInfo

    java.lang.Object
      jet.api.SpecFuncInfo

Direct Known Subclasses:
  SpecFuncDateTimeInfo, SpecFuncNumInfo, SpecFuncStringInfo, SpecFuncValueChangeInfo

    public abstract class SpecFuncInfo

extends java.lang.Object

Field Summary
`static int` | `DATETIME_INTERVALS` SpecFuncInfo's type.
`static int` | `NUM_INTERVALS` SpecFuncInfo's type.
`static int` | `STRING_INTERVALS` SpecFuncInfo's type.
`static int` | `VALUE_CHANGE` SpecFuncInfo's type.

Constructor Summary
`SpecFuncInfo()` Constructs an abstract Special Function definition.

Method Summary
`java.lang.String` | `getDesc()` Gets the description text of Special Function definition.
`java.lang.String` | `getInterNum()` Gets the String format value of the interval of Special Function definition.
`java.lang.String` | `getOtherName()` Gets the group name of the "Others Group" of Special Function definition.
`int` | `getType()` Gets the function type of Special Function definition.
`void` | `setDesc(java.lang.String strDesc)` Sets the description text of Special Function definition.
`void` | `setInterNum(java.lang.String sInterval)` Sets the String format value of the interval of Special Function definition.
`void` | `setOtherName(java.lang.String val)` Sets the group name of the "Others Group" of Special Function definition.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING_INTERVALS

    public static final int STRING_INTERVALS

  SpecFuncInfo's type. For the Special Function that grouped by String and by intervals.

  See Also:
    Constant Field Values

### DATETIME_INTERVALS

    public static final int DATETIME_INTERVALS

  SpecFuncInfo's type. For the Special Function that grouped by Date/Time and by intervals.

  See Also:
    Constant Field Values

### VALUE_CHANGE

    public static final int VALUE_CHANGE

  SpecFuncInfo's type. For the Special Function that is grouped within certain range.

  See Also:
    Constant Field Values

### NUM_INTERVALS

    public static final int NUM_INTERVALS

  SpecFuncInfo's type. For the Special Function that is grouped by Date/Time and by intervals.

  See Also:
    Constant Field Values

Constructor Detail

### SpecFuncInfo

    public SpecFuncInfo()

  Constructs an abstract Special Function definition.

Method Detail

### getType

    public int getType()

  Gets the function type of Special Function definition.

  Returns:
    the function type of Special Function definition.

### getOtherName

    public java.lang.String getOtherName()

  Gets the group name of the "Others Group" of Special Function definition.

  Returns:
    the group name of the "Others Group" of Special Function definition.

### setOtherName

    public void setOtherName(java.lang.String val)

  Sets the group name of the "Others Group" of Special Function definition.

  Parameters:
    `the` - group name of the "Others Group" of Special Function definition.

### getInterNum

    public java.lang.String getInterNum()

  Gets the String format value of the interval of Special Function definition.

  Returns:
    the String format value of interval.

### setInterNum

    public void setInterNum(java.lang.String sInterval)

  Sets the String format value of the interval of Special Function definition.

  Parameters:
    `sInterval` - The String format value of the interval of Special Function definition.

### getDesc

    public java.lang.String getDesc()

  Gets the description text of Special Function definition.

  Returns:
    the description text of Special Function definition.

### setDesc

    public void setDesc(java.lang.String strDesc)

  Sets the description text of Special Function definition.

  Parameters:
    `strDesc` - the description text of Special Function definition.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD